LockingVisitors.StampedLockVisitor.Builder (Apache Commons Lang 3.20.0 API)
Description: declaration: package: org.apache.commons.lang3.concurrent.locks, class: LockingVisitors, class: StampedLockVisitor, class: Builder

# Class LockingVisitors.StampedLockVisitor.Builder<O>

java.lang.Object
org.apache.commons.lang3.builder.AbstractSupplier<LockingVisitors.LockVisitor<O, StampedLock>, LockingVisitors.StampedLockVisitor.Builder<O>, RuntimeException>
org.apache.commons.lang3.concurrent.locks.LockingVisitors.LockVisitor.LVBuilder<O, StampedLock, LockingVisitors.StampedLockVisitor.Builder<O>>
org.apache.commons.lang3.concurrent.locks.LockingVisitors.StampedLockVisitor.Builder<O>

Type Parameters:
  `O` - the wrapped object type.

All Implemented Interfaces:
  `FailableSupplier<LockingVisitors.LockVisitor<O, StampedLock>, RuntimeException>`

Enclosing class:
  `LockingVisitors.StampedLockVisitor<O>`

public static class LockingVisitors.StampedLockVisitor.Builder<O> extends LockingVisitors.LockVisitor.LVBuilder<O, StampedLock, LockingVisitors.StampedLockVisitor.Builder<O>>
Builds `LockingVisitors.LockVisitor` instances.

Since:
  3.18.0

- ## Field Summary

  ### Fields inherited from interface FailableSupplier

  `NUL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LockingVisitors.StampedLockVisitor<O>`
  `get()`
  Supplies an object
  `LockingVisitors.StampedLockVisitor.Builder<O>`
  `setLock(StampedLock stampedLock)`
  Set the lock used from accept methods.

  ### Methods inherited from class LockingVisitors.LockVisitor.LVBuilder

  `setObject, setReadLockSupplier, setWriteLockSupplier`

  ### Methods inherited from class AbstractSupplier

  `asThis`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()
    Constructs a new instance.

- ## Method Details

  - ### get

    public LockingVisitors.StampedLockVisitor<O> get()
    Description copied from interface: `FailableSupplier`
    Supplies an object
    Specified by:
      `get` in interface `FailableSupplier<LockingVisitors.LockVisitor<O, StampedLock>, RuntimeException>`
    Overrides:
      `get` in class `LockingVisitors.LockVisitor.LVBuilder<O, StampedLock, LockingVisitors.StampedLockVisitor.Builder<O>>`
    Returns:
      a result

  - ### setLock

    public LockingVisitors.StampedLockVisitor.Builder<O> setLock(StampedLock stampedLock)
    Description copied from class: `LockingVisitors.LockVisitor.LVBuilder`
    Set the lock used from accept methods.
    Overrides:
      `setLock` in class `LockingVisitors.LockVisitor.LVBuilder<O, StampedLock, LockingVisitors.StampedLockVisitor.Builder<O>>`
    Parameters:
      `stampedLock` - the lock.
    Returns:
      `this` instance.